curl --request POST \
--url https://api.qa.sima.ag/api/v3/third_party/device_events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--header 'X-SIMA-SYSTEM-ID: <api-key>' \
--data '
"\"{ \\n \\\"observations\\\": \\\"Test Observation\\\",\\n \\\"device_id\\\": 17,\\n \\\"semaphore\\\": 1,\\n \\\"device_event_protocol_results\\\": [\\n {\\n \\\"device_event_measure_threshold_id\\\": 1,\\n \\\"semaphore\\\": 1, \\n \\\"table_code_id\\\": 62, \\n \\\"device_event_sample\\\": \\n { \\n \\\"value\\\": 4 \\n } \\n },\\n {\\n \\\"device_event_measure_threshold_id\\\": 2,\\n \\\"semaphore\\\": 1, \\n \\\"table_code_id\\\": 62, \\n \\\"device_event_sample\\\": \\n { \\n \\\"value\\\": 1 \\n } \\n },\\n {\\n \\\"device_event_measure_threshold_id\\\": 3,\\n \\\"semaphore\\\": 1, \\n \\\"table_code_id\\\": 62, \\n \\\"device_event_sample\\\": \\n { \\n \\\"value\\\": 1 \\n } \\n },\\n {\\n \\\"device_event_measure_threshold_id\\\": 5,\\n \\\"semaphore\\\": 1, \\n \\\"table_code_id\\\": 62, \\n \\\"device_event_sample\\\": \\n { \\n \\\"value\\\": 1 \\n } \\n }\\n ],\\n \\\"device_event_sample_group\\\": { \\n \\\"observations\\\": \\\"observación Nº1\\\" \\n },\\n \\\"table_code_id\\\": 56,\\n \\\"date\\\": \\\"{{currentDateTime}}\\\",\\n \\\"suitable_for_scouting\\\": true\\n}\\n\""
'import requests
url = "https://api.qa.sima.ag/api/v3/third_party/device_events"
payload = "\"{ \n \\"observations\\": \\"Test Observation\\",\n \\"device_id\\": 17,\n \\"semaphore\\": 1,\n \\"device_event_protocol_results\\": [\n {\n \\"device_event_measure_threshold_id\\": 1,\n \\"semaphore\\": 1, \n \\"table_code_id\\": 62, \n \\"device_event_sample\\": \n { \n \\"value\\": 4 \n } \n },\n {\n \\"device_event_measure_threshold_id\\": 2,\n \\"semaphore\\": 1, \n \\"table_code_id\\": 62, \n \\"device_event_sample\\": \n { \n \\"value\\": 1 \n } \n },\n {\n \\"device_event_measure_threshold_id\\": 3,\n \\"semaphore\\": 1, \n \\"table_code_id\\": 62, \n \\"device_event_sample\\": \n { \n \\"value\\": 1 \n } \n },\n {\n \\"device_event_measure_threshold_id\\": 5,\n \\"semaphore\\": 1, \n \\"table_code_id\\": 62, \n \\"device_event_sample\\": \n { \n \\"value\\": 1 \n } \n }\n ],\n \\"device_event_sample_group\\": { \n \\"observations\\": \\"observación Nº1\\" \n },\n \\"table_code_id\\": 56,\n \\"date\\": \\"{{currentDateTime}}\\",\n \\"suitable_for_scouting\\": true\n}\n\""
headers = {
"Authorization": "Bearer <token>",
"X-SIMA-SYSTEM-ID": "<api-key>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'X-SIMA-SYSTEM-ID': '<api-key>',
'Content-Type': '*/*'
},
body: JSON.stringify('"{ \n \"observations\": \"Test Observation\",\n \"device_id\": 17,\n \"semaphore\": 1,\n \"device_event_protocol_results\": [\n {\n \"device_event_measure_threshold_id\": 1,\n \"semaphore\": 1, \n \"table_code_id\": 62, \n \"device_event_sample\": \n { \n \"value\": 4 \n } \n },\n {\n \"device_event_measure_threshold_id\": 2,\n \"semaphore\": 1, \n \"table_code_id\": 62, \n \"device_event_sample\": \n { \n \"value\": 1 \n } \n },\n {\n \"device_event_measure_threshold_id\": 3,\n \"semaphore\": 1, \n \"table_code_id\": 62, \n \"device_event_sample\": \n { \n \"value\": 1 \n } \n },\n {\n \"device_event_measure_threshold_id\": 5,\n \"semaphore\": 1, \n \"table_code_id\": 62, \n \"device_event_sample\": \n { \n \"value\": 1 \n } \n }\n ],\n \"device_event_sample_group\": { \n \"observations\": \"observación Nº1\" \n },\n \"table_code_id\": 56,\n \"date\": \"{{currentDateTime}}\",\n \"suitable_for_scouting\": true\n}\n"')
};
fetch('https://api.qa.sima.ag/api/v3/third_party/device_events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qa.sima.ag/api/v3/third_party/device_events",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode('"{ \\n \\"observations\\": \\"Test Observation\\",\\n \\"device_id\\": 17,\\n \\"semaphore\\": 1,\\n \\"device_event_protocol_results\\": [\\n {\\n \\"device_event_measure_threshold_id\\": 1,\\n \\"semaphore\\": 1, \\n \\"table_code_id\\": 62, \\n \\"device_event_sample\\": \\n { \\n \\"value\\": 4 \\n } \\n },\\n {\\n \\"device_event_measure_threshold_id\\": 2,\\n \\"semaphore\\": 1, \\n \\"table_code_id\\": 62, \\n \\"device_event_sample\\": \\n { \\n \\"value\\": 1 \\n } \\n },\\n {\\n \\"device_event_measure_threshold_id\\": 3,\\n \\"semaphore\\": 1, \\n \\"table_code_id\\": 62, \\n \\"device_event_sample\\": \\n { \\n \\"value\\": 1 \\n } \\n },\\n {\\n \\"device_event_measure_threshold_id\\": 5,\\n \\"semaphore\\": 1, \\n \\"table_code_id\\": 62, \\n \\"device_event_sample\\": \\n { \\n \\"value\\": 1 \\n } \\n }\\n ],\\n \\"device_event_sample_group\\": { \\n \\"observations\\": \\"observación Nº1\\" \\n },\\n \\"table_code_id\\": 56,\\n \\"date\\": \\"{{currentDateTime}}\\",\\n \\"suitable_for_scouting\\": true\\n}\\n"'),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: */*",
"X-SIMA-SYSTEM-ID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"id": 33,
"observations": "Test Observation",
"date": "2025-06-30T12:39:12-03:00",
"device_id": 17,
"semaphore": 1,
"device_event_protocol_result_ids": [
114,
115,
116,
117
],
"suitable_for_scouting": true,
"localization": {
"geometry": "{\"type\":\"Polygon\",\"coordinates\":[[[-60.089164784458,-34.489185130275],[-60.076832772174,-34.498748477177],[-60.088291169086,-34.508474162058],[-60.092453957477,-34.505291335563],[-60.094685555378,-34.506988858153],[-60.101165772357,-34.501436416286],[-60.089164784458,-34.489185130275]]]}",
"latitude": -34.8839992,
"longitude": -60.014592
},
"created_at": "2025-06-30T12:39:16-03:00",
"modified_at": "2025-06-30T12:39:16-03:00",
"deleted_at": null,
"active": true
}Create
Authorizations
access_token obtenido via POST /api/v2/login
Identificador del sistema integrador (8 para Third-Party API)
Body
The body is of type string.
"\"{ \\n \\\"observations\\\": \\\"Test Observation\\\",\\n \\\"device_id\\\": 17,\\n \\\"semaphore\\\": 1,\\n \\\"device_event_protocol_results\\\": [\\n {\\n \\\"device_event_measure_threshold_id\\\": 1,\\n \\\"semaphore\\\": 1, \\n \\\"table_code_id\\\": 62, \\n \\\"device_event_sample\\\": \\n { \\n \\\"value\\\": 4 \\n } \\n },\\n {\\n \\\"device_event_measure_threshold_id\\\": 2,\\n \\\"semaphore\\\": 1, \\n \\\"table_code_id\\\": 62, \\n \\\"device_event_sample\\\": \\n { \\n \\\"value\\\": 1 \\n } \\n },\\n {\\n \\\"device_event_measure_threshold_id\\\": 3,\\n \\\"semaphore\\\": 1, \\n \\\"table_code_id\\\": 62, \\n \\\"device_event_sample\\\": \\n { \\n \\\"value\\\": 1 \\n } \\n },\\n {\\n \\\"device_event_measure_threshold_id\\\": 5,\\n \\\"semaphore\\\": 1, \\n \\\"table_code_id\\\": 62, \\n \\\"device_event_sample\\\": \\n { \\n \\\"value\\\": 1 \\n } \\n }\\n ],\\n \\\"device_event_sample_group\\\": { \\n \\\"observations\\\": \\\"observación Nº1\\\" \\n },\\n \\\"table_code_id\\\": 56,\\n \\\"date\\\": \\\"{{currentDateTime}}\\\",\\n \\\"suitable_for_scouting\\\": true\\n}\\n\""
Response
Created
The response is of type object.

